#
# Conditional build:
%bcond_with	tests	# perform "make test" (fetches URL passed interactively)
#
%define		pdir	WWW
%define		pnam	Curl
Summary:	WWW::Curl::easy - Perl extension interface for libcurl
Summary(pl.UTF-8):	WWW::Curl::easy - interfejs perlowy do biblioteki libcurl
Name:		perl-WWW-Curl
Version:	4.17
Release:	10%{?tld}
License:	MPL or MIT/X
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SZ/SZBALINT/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	997ac81cd6b03b30b36f7cd930474845
Patch0:		WWW-Curl-4.17-Skip-preprocessor-symbol-only-CURL_STRICTER.patch
Patch1:		curl-7.66.0.patch
Patch2:		curl-7.69.0.patch
Patch3:		WWW-Curl-Adapt-to-curl-7.87.0.patch
Patch4:		WWW-Curl-Work-around-a-macro-bug-in-curl-7.87.0.patch
URL:		https://metacpan.org/dist/WWW-Curl
BuildRequires:	curl-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Module-Install
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Obsoletes:	perl-Curl-easy < 2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WWW::Curl::easy provides an interface to the libcurl C library
<http://curl.haxx.se/>.

Before v2.0, this module was called 'Curl::easy'. The name has changed
to better suit CPAN naming guidelines.

%description -l pl.UTF-8
WWW::Curl::easy dostarcza interfejs do biblioteki C libcurl
<http://curl.haxx.se/>.

Przed wersją 2.0 ten moduł nazywał się Curl::easy. Nazwa została
zmieniona, aby lepiej pasowała do wytycznych CPAN dotyczących
nazewnictwa.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	LD="%{__cc}" \
	OPTIMIZE="%{rpmcflags}" \
	OTHERLDFLAGS="%{rpmldflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/auto/WWW/Curl/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/WWW/Curl.pm
%{perl_vendorarch}/WWW/Curl
%dir %{perl_vendorarch}/auto/WWW/Curl
%attr(755,root,root) %{perl_vendorarch}/auto/WWW/Curl/Curl.so
%{_mandir}/man3/WWW::Curl.3pm*
%changelog
* Sat Aug 17 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-WWW-Curl.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> a3069b7
- perl 5.40.0 rebuild

* Mon Aug 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 9a5eb61
- updated URL

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 81f7557
- perl 5.38.0 rebuild

* Sat Feb 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 0b0a778
- added curl-7.87.0 patches from Fedora

* Sun Aug 21 2022 Jan Palus <atler@pld-linux.org> 311d88b
- perl 5.36.0 rebuild

* Fri Jun 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 4572098
- versioned Obsoletes

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 51a7bf5
- rebuild with perl 5.34.0

* Mon Jun 28 2021 Jakub Bogusz <qboosh@pld-linux.org> 7e5d374
- updated macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 9d7b23a
- rebuild with perl 5.32

* Wed Apr 29 2020 Marcin Krol <hawk@tld-linux.org> 2cf90da
- fix building with curl 7.69.x

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 80df9a5
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 6cfc52b
- fix building with curl 7.66+
- rel 4

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 416955d
- release 5

* Wed Mar 07 2018 Marcin Krol <hawk@tld-linux.org> 59e1c67
- release 2

* Wed Jun 28 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 5bed86b
- up to 4.17

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b1af66e
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> b68d732
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 9d5bcbe
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 000f38b
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 6d97405
- x32 rebuild
- release 5 (by relup.sh)

